Page MenuHomeFreeBSD

Switch vt(4) to traditional behaviour with copy-paste.
ClosedPublic

Authored by ray on Sep 10 2014, 2:05 PM.

Details

Summary

Currently vt(4) copy data from marked range only when user want to paste
buffer. With this patch vt(4) will copy data when select/extend done, just like
syscons(4) do.

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

ray updated this revision to Diff 1445.Sep 10 2014, 2:05 PM
ray retitled this revision from to Switch vt(4) to traditional behaviour with copy-paste..
ray updated this object.
ray edited the test plan for this revision. (Show Details)
ray added reviewers: danfe, dumbbell, emaste.
ray updated this revision to Diff 1446.Sep 10 2014, 2:40 PM

Copy data only on BUTTON-UP events.

ray updated this revision to Diff 1583.Sep 11 2014, 5:48 PM

Fix stray char on paste.

dumbbell accepted this revision.Sep 12 2014, 8:23 AM
dumbbell edited edge metadata.

The patch works for me.

The extra character pasted problem I reported to you on #freebsd-xorg is fixed. And I confirm that now, the content is copied only when the mouse button is released, not after each move.

That looks good to me.

This revision is now accepted and ready to land.Sep 12 2014, 8:23 AM
ray closed this revision.Sep 12 2014, 2:18 PM

Committed 271464, 271465, 271466.